CairoMatrix::initScale
CairoMatrix::invert
CairoMatrix
PHP Manual

# CairoMatrix::initTranslate

# cairo_matrix_init_translate

Creates a new translation matrix

### Description

Object oriented style (method):

public static void CairoMatrix::initTranslate ( float `$tx` , float `$ty` )

Procedural style:

object cairo_matrix_init_translate ( float `$tx` , float `$ty` )

Creates a new matrix to a transformation that translates by tx and ty in the X and Y dimensions, respectively.

### Parameters

`tx`

  amount to translate in the X direction

`ty`

  amount to translate in the Y direction

### Return Values

Returns a new CairoMatrix object that can be used with surfaces, contexts, and patterns.

### Examples

Example #1 Object oriented style

`<?php
/* Create a new Matrix */
$matrix = CairoMatrix::initTranslate(1.0, 2.0);
?>`

Example #2 Procedural style

`<?php
/* Create a new Matrix */
$matrix = cairo_matrix_init_translate(1.0, 2.0);
?>`

### See Also

- CairoMatrix::__construct
- CairoMatrix::initIdentity
- CairoMatrix::initRotate
- CairoMatrix::initScale